Download it now!
Bug 78164 - FORMATTING: Writer does not respect the specified bottom margin of paragraphs in HTML files
Summary: FORMATTING: Writer does not respect the specified bottom margin of paragraphs...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html, needsDevEval
Depends on:
Blocks: HTML-Import
  Show dependency treegraph
 
Reported: 2014-05-01 18:02 UTC by Tomas Karger
Modified: 2019-04-07 16:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
minimal example html file (1.35 KB, text/html)
2014-05-01 18:02 UTC, Tomas Karger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Karger 2014-05-01 18:02:10 UTC
Created attachment 98313 [details]
minimal example html file

Expected behavior:
Writer respects the margin-bottom:0pt value for paragraphs and makes no extra spaces between them. This is the case if opened in Firefox.

Actual behavior:
Writer ignores the margin-bottom:0pt value and makes 0.2" space below paragraph.

Margin-top seems to work as expected.
Tried to set also padding-bottom with the same result.
Comment 1 Tomas Karger 2014-05-13 14:48:47 UTC
I noticed that the style (when I hit F11 with my cursor in the paragraph) is defined correctly with no spacing. In contrast, when I go Format -> Paragraph, there is 0.2" set in spacing below paragraph. The style is just somehow not applied to the paragraph. When I double-click the style (from the F11 window) to apply it, the paragraph gets formatted correctly.
Comment 2 Joel Madero 2014-05-16 20:35:40 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.0.3.2 
Platform: Ubuntu 14.04 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Minor -- does not prevent professional quality work but can slow it down
Low - default seems appropriate, not going to affect many users at all

NeedDevEval (proposed easy hack)
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 Robinson Tryon (qubit) 2015-12-13 11:20:54 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:46:26 UTC Comment hidden (obsolete)
Comment 5 regs 2017-02-17 02:31:48 UTC
I have a bit different problem, but probably related.

Paragraph margin after gets definitely ignored.

Also @page margins gets ignored on load. margins gets saved into html file, but on on load i get default margins.
Comment 6 QA Administrators 2018-02-18 03:38:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug